<template>
  <ul class="sidebar-menu">
    <router-link tag="li" class="pageLink" to="/">
      <a>
        <i class="fa fa-desktop" style="color: white;"></i>
        <span class="page">Dashboard</span>
      </a>
    </router-link>

    <li class="treeview" v-if="this.$store.getters.modules.includes(',21.')">
      <a href="#">
        <i class="fa fa-user" aria-hidden="true" style="color: white;"></i>
        <span class="treeview-title">Master</span>
        <span class="pull-right-container pull-right">
          <i class="fa fa-angle-left fa-fw"></i>
        </span>
      </a>
      <ul class="treeview-menu">
        <li class="treeview menu-open"
            v-if="this.$store.getters.modules.includes('21.1')||
        this.$store.getters.modules.includes('21.2')"
        >
          <a href="#">
            Master
            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"/>
            </span>
          </a>
          <ul class="treeview-menu">
            <li>
              <router-link to="/adminOrganization"
                           class="pageLink" v-if="this.$store.getters.modules.includes('21.1')">
                <a>Organization</a>
              </router-link>
            </li>
            <li>
              <router-link to="/adminUser"
                           class="pageLink" v-if="this.$store.getters.modules.includes('21.2')">
                <a>Admin User</a>
              </router-link>
            </li>
            <li>
              <router-link to="/adminInquiry"
                           class="pageLink" v-if="this.$store.getters.modules.includes('21.3')">
                <a>Admin Inquiry</a>
              </router-link>
            </li>
          </ul>
        </li>
      </ul>
    </li>

<li class="treeview" v-if="this.$store.getters.modules.includes(',5.')">
      <a href="#">
        <i class="fa fa-cog" style="color: white;"></i>
        <span class="treeview-title">Setting</span>
        <span class="pull-right-container pull-right">
            <i class="fa fa-angle-left fa-fw"></i>
          </span>
      </a>
           <ul class="treeview-menu">
            <li>
              <router-link to="/user" v-if="this.$store.getters.modules.includes('5.01')">
                <a href="#">User</a>
              </router-link>
            </li>

            <li>
              <router-link to="/role" v-if="this.$store.getters.modules.includes('5.02')">
                <a href="#">Role</a>
              </router-link>
            </li>

            <li>
              <router-link to="/fiscalYear" v-if="this.$store.getters.modules.includes('5.03')">
                <a href="#">Fiscal Year</a>
              </router-link>
            </li>

             <!-- <li>
              <router-link to="/excelUpload" v-if="this.$store.getters.modules.includes('5.01')">
                <a href="#">Excel Upload</a>
              </router-link>
            </li> -->

              <!-- <li>
              <router-link to="/apiLogReport" v-if="this.$store.getters.modules.includes('5.01')">
                <a href="#">Api Log Report</a>
              </router-link>
            </li> -->

           </ul>
    </li>

  </ul>
</template>
<script>
export default {
  name: 'SidebarMenu'
}
</script>
<style>
/* override default */
.sidebar-menu > li > a {
  padding: 12px 15px 12px 15px;
}

.sidebar-menu li.active > a > .fa-angle-left,
.sidebar-menu li.active > a > .pull-right-container > .fa-angle-left {
  animation-name: rotate;
  animation-duration: 0.3s;
  animation-fill-mode: forwards;
}

.treeview-title {
  z-index: 1;
}

@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(-90deg);
  }
}
</style>
